commit:     1b0008ea97de21f2fe119ec2fa4feecc978f603f
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon May 15 09:29:10 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon May 15 09:47:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b0008ea

dev-python/testtools: Bump to version 2.3.0

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/testtools/Manifest               |  1 +
 dev-python/testtools/testtools-2.3.0.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index 3c5f88c10de..958aafd6637 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -1,3 +1,4 @@
 DIST testtools-0.9.36.tar.gz 201717 SHA256 
20a1b0d6325f1303ff8112a272047057b73217aac85424aa4065b87641a04499 SHA512 
1cb29deb2fb7cd0eebd9affb06e877487989163d0c4452db8051d75b936b0c4ac6443649d52f83cd3695421b361af7dc75507b037528ac0f7cfde9b4b201ad08
 WHIRLPOOL 
5561c4ef316c31f5c0099beb93eba307328669e43bef36e8da6b1856bf3f75c6b4d81fc0cb777e8397cb246512203c7951c93a52b2a5877e4764cf2e0a749e22
 DIST testtools-1.8.0.tar.gz 207976 SHA256 
8afd6400fb4e75adb0b29bd09695ecb2024cd7befab4677a58c147701afadd97 SHA512 
b5f0201222d1e8c60fb7c2793bcd38e1c96c6f9fae99e9f3e784d17230c9abbf7325053d501c07e752bad2da36b49e2c79a25d0c20cb9a2f426057f839a77b3a
 WHIRLPOOL 
71d4082197a9c179862fc3c63eadc37d6ff776f0a62e5fb08c296a5bf7109dc5110a2104a1ed15ca97c523aa0afb9e7124805ec6a6ae18f7605d7641abd9c54a
 DIST testtools-2.2.0.tar.gz 230716 SHA256 
80f606607a6e4ce4d0e24e5b786562aa42c581906f3c070607a4265f3da65810 SHA512 
f5ba08971975aa1ccf923c4c997ca7b093d00615131f440a9a5aad96d63be5b9e72f3364f3185d523fce9b5a7055bd52f767b54f7f9f17a102c4166efec189c5
 WHIRLPOOL 
042ef9e8177b44b37582b1b8013809b0fd443ac7c57e39317f73e081877c665fd368828e72568b89c0656ebc9d89e82c2ee7ffcd2bf0f31e07573df8573d3313
+DIST testtools-2.3.0.tar.gz 231559 SHA256 
5827ec6cf8233e0f29f51025addd713ca010061204fdea77484a2934690a0559 SHA512 
558fe6a1bdce7215f9f6f178f469a2b76948dc7ff0ce27400482a16683474edb81d9bf90ae48b6fcb8df9eb70759341b694aa162ed3d9d4abd372981cdcd8a64
 WHIRLPOOL 
c4fc46381dbe3d98a1b03463bb3b52b396d6005338226deb451262484a914e673bde2fbdf64359defab2c8e5c453693f9ac4fd0233fdd4f111718c9cc0e844ec

diff --git a/dev-python/testtools/testtools-2.3.0.ebuild 
b/dev-python/testtools/testtools-2.3.0.ebuild
new file mode 100644
index 00000000000..bd556b22d4a
--- /dev/null
+++ b/dev-python/testtools/testtools-2.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="https://github.com/testing-cabal/testtools";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/extras-1.0.0[${PYTHON_USEDEP}]
+       dev-python/mimeparse[${PYTHON_USEDEP}]
+       >=dev-python/pbr-0.11[${PYTHON_USEDEP}]
+       dev-python/pyrsistent[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+       dev-python/traceback2[${PYTHON_USEDEP}]
+       >=dev-python/unittest2-1.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               >=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+               dev-python/testscenarios[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+PDEPEND=">=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]"
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       "${PYTHON}" -m testtools.run testtools.tests.test_suite || die "tests 
failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( doc/_build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to